queuing_rw_mutex.cpp File Reference
`#include "tbb/queuing_rw_mutex.h"`
`#include "tbb/tbb_machine.h"`
`#include "tbb/tbb_stddef.h"`
`#include "itt_notify.h"`
Include dependency graph for queuing_rw_mutex.cpp:

Go to the source code of this file.

## Classes

class | tbb::tricky_atomic_pointer< T >
| A view of a T* with additional functionality for twiddling low-order bits. More...

## Namespaces

| tbb
| The graph class.

## Typedefs

typedef tricky_atomic_pointer< queuing_rw_mutex::scoped_lock > | tbb::tricky_pointer

## Enumerations

enum

tbb::state_t_flags {
tbb::STATE_NONE = 0 , tbb::STATE_WRITER = 1<<0 , tbb::STATE_READER = 1<<1 , tbb::STATE_READER_UNBLOCKNEXT = 1<<2 ,
tbb::STATE_ACTIVEREADER = 1<<3 , tbb::STATE_UPGRADE_REQUESTED = 1<<4 , tbb::STATE_UPGRADE_WAITING = 1<<5 , tbb::STATE_UPGRADE_LOSER = 1<<6 ,
tbb::STATE_COMBINED_WAITINGREADER = STATE_READER | STATE_READER_UNBLOCKNEXT , tbb::STATE_COMBINED_READER = STATE_COMBINED_WAITINGREADER | STATE_ACTIVEREADER , tbb::STATE_COMBINED_UPGRADING = STATE_UPGRADE_WAITING | STATE_UPGRADE_LOSER
}

| Flag bits in a state_t that specify information about a locking request. More...

## Functions

uintptr_t | tbb::get_flag (queuing_rw_mutex::scoped_lock *ptr)

## Variables

const unsigned char | tbb::RELEASED = 0
const unsigned char | tbb::ACQUIRED = 1
static const tricky_pointer::word | tbb::FLAG = 0x1
| Mask for low order bit of a pointer. More...

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.